Subject: Re: [PATCH 00/14] SHA-1/SHA-256 interoperability, part 2

From: Junio C Hamano <[email-masked]>
Date: Mon, 17 Nov 2025 16:13:40 -0800

"brian m. carlson" <[email-masked]> writes:

> On 2025-11-17 at 06:56:07, Junio C Hamano wrote:
>> In addition to "cargo clippy" I reported earlier (and attempted to
>> fix) in a separate message, we have been seeing constant failure of
>> "win+Meson build" job at GitHub Actions CI.
>> 
>>   https://github.com/git/git/actions/runs/19414557042/job/55540901761#step:6:848
>> 
>> I attempted to build tonight's 'seen' without this topic and it
>> seemed to stop.
>> 
>>   https://github.com/git/git/actions/runs/19418361570/job/55551045554
>> 
>> This topic may need a bit of help from those who are clueful with
>> Rust and Windows.
>
> I think that has been failing with Rust since well before my code came
> in.  It has failed for me for a long time (well over a month), so I have
> just ignored it.
>
> I'm going to send v2 shortly, but we can squash in changes and do a v3
> if there is something actually broken in this series.

Thanks.

    $ git log --oneline --first-parent -4 seen
    3f252ac9fe Merge branch 'ar/run-command-hook' into seen
    672cb7c62e ### CI
    3af201233b Merge branch 'bc/sha1-256-interop-02' into seen
    950efaac03 Merge branch 'cc/fast-import-strip-if-invalid' into seen

It seems that 672cb7c62e (which is an empty commit on top of the
merge of v2 of this series) fails win+Meson

  https://github.com/git/git/actions/runs/19447841443/job/55646336507#step:6:689

but 950efaac03 (which is the merge before v2 of this series is
merged to 'seen') is happy with it.

  https://github.com/git/git/actions/runs/19448271167/job/55647611566

These two runs roughly corresponds to the with=bad/without=good pair
in the message you are reponding to, but with the v1 of this series.